<div class="container">
    <div class="row">
        <!-- Boucle sur la liste des Pokémon -->
        <div *ngFor="let pokemon of pokemonList" class="col m4 s6">
            <!-- Carte représentant un Pokémon -->
            <div (click)="goToPokemon(pokemon)" class="card horizontal" pkmBorderCard>
                <!-- Image du Pokémon -->
                <div class="card-image">
                    <img [src]="pokemon.picture" alt="Image de {{pokemon.name}}">
                </div>
                <!-- Contenu de la carte -->
                <div class="card-stacked">
                    <div class="card-content">
                        <!-- Nom du Pokémon -->
                        <p>{{pokemon.name}}</p>
                        <!-- Date de création du Pokémon -->
                        <p><small>{{ pokemon.created | date: 'dd/MM/yyyy' }}</small></p>
                        <!-- Types du Pokémon -->
                        <span 
                            *ngFor="let type of pokemon.types" 
                            class="{{ type | pokemonTypeColor }}">
                            {{ type }}
                        </span>
                    </div>
                </div>  
            </div>
        </div>
    </div>  
</div>
